# Major
%define major 1
%define libver 15.09.81

# Library names
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	Library for creating a socket to send and receive messages
Name:		arcus
Version:	15.10
Release:	%mkrel 2
License:	AGPLv3
Group:		Development/Other
URL:		https://github.com/Ultimaker/libArcus
Source0:	https://github.com/Ultimaker/libArcus/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
# Fix build : add lpthread and disable example (require proto3)
Patch0:		arcus-15.10-fix_build.patch
Patch1:		arcus-15.10-protobuf-2.6.1.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(protobuf)
BuildRequires:	pkgconfig(python3)

%description
This library contains a C++ and Python3 class for creating a socket
in a thread and using this socket to send and receive messages based
on the Protocol Buffers library.
It is designed to facilitate the communication between Cura and its backend
and similar code.

%package -n	%{libname}
Summary:	Runtime library for Arcus
Group:		System/Libraries

%description -n	%{libname}
This library contains a C++ and Python3 class for creating a socket
in a thread and using this socket to send and receive messages based
on the Protocol Buffers library.
It is designed to facilitate the communication between Cura and its backend
and similar code.

This package contains the shared Arcus library.

%package -n	%{develname}
Summary:	Arcus C++ headers and libraries
Group:		Development/Other
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains Arcus C++ headers and libraries.

%prep
%setup -q -n libArcus-%{version}
%autopatch -p1

%build
%cmake
%make_build

%install
pushd build
    %make_install
    mkdir -p %{buildroot}%{python3_sitelib}
    mv %{buildroot}/usr/lib/python3/dist-packages/Arcus %{buildroot}%{python3_sitelib}
popd

%files -n %{libname}
%doc README.md
%license LICENSE
%{_libdir}/libArcus.so.%{major}
%{_libdir}/libArcus.so.%{libver}
%{python3_sitelib}/Arcus

%files -n %{develname}
%doc examples/example.cpp examples/example.proto
%doc examples/example.py examples/example_py.sh
%{_includedir}/Arcus
%{_libdir}/libArcus.so
%{_libdir}/cmake/Arcus


%changelog
* Thu Jan 05 2017 daviddavid <daviddavid> 15.10-2.mga6
+ Revision: 1080286
- add patch to fix build with protobuf 2.6.1

* Thu Dec 31 2015 ycantin <ycantin> 15.10-1.mga6
+ Revision: 917040
- imported package arcus

